Description

Dday has supported more than 32 maps for, well, ages now.
However it has never supported the intermission screens for maps above 32 even if the relevant map name graphics are present.

Occasionally, Dday will successfully load the intermission screen minus the map name graphic (even if it is relevant); however, the
vast majority of the time the game will produce a variety of errors:

I've had Dday play a post map infine in a endless loop instead of going to the intermission, seg violations and also crash with a
Def_GetFlagValue: Undefined flag '1' messages. These issues have all occurred before the intermission starts or when it tries to
display the “entering next level graphic”.

Indeed, | do believe it is related to the CWILV graphic part of the code.

Labels: Data

History

#1 - 2009-05-11 09:05 - vermil

Whoops, | meant to write "(even if it is present)" above.

#2 - 2009-05-15 14:20 - vermil

Some more experimentation has revealed that the above mentioned "post map infine get's stuck in an infinite loop" is not related to the intermission
screen crashing on maps above 32.

It turns out that in Beta6.2, post map infine gets stuck in an infinite loop on any map, instead of going to the intermission. So | was actually reporting
two issues in my OP. I've changed the report title accordingly.

If | had known | was reporting two separate issues, | would have done separate reports. Sorry.

#3 - 2009-05-23 00:39 - danij

The continous cycle of "After" InFine scripts has been fixed in svn for 1.9.0-beta6.3

I'm looking into the other issue now.

#4 - 2009-05-26 22:20 - danij

Both issues have now been fixed in svn for 1.9.0-beta6.3
